﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Text;

namespace HeuristicLab.PluginInfrastructure {
  public interface IRunner {
    /// <summary>
    /// Set this to true, if console output should be disabled.
    /// </summary>
    bool QuietMode { get; set; }

    /// <summary>
    /// Assemblies which the child process needs to load.
    /// </summary>
    IEnumerable<AssemblyInfo> AssembliesToLoad { get; set; }

    /// <summary>
    /// Method to run the runner.
    /// </summary>
    void Run();
  }
}
